%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:       dbus-java
Version:    2.5
Release:    2%{?dist}
Summary:    Java implementation of the DBus protocol
Group:      Development/Libraries
License:    AFL or LGPLv2
URL:        http://freedesktop.org/wiki/Software/DBusBindings
#URL2:      http://dbus.freedesktop.org/doc/dbus-java/
Source:     http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:     man_fixes.patch
Patch1:     docbook.patch
Patch2:     classpath_fix.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-1.6.0-openjdk-devel
BuildRequires:  jpackage-utils
BuildRequires:  texlive-latex
BuildRequires:  tetex-tex4ht
BuildRequires:  docbook-utils
BuildRequires:  gettext
BuildRequires:  libmatthew-java

Requires:   java-1.6.0-openjdk
Requires:   jpackage-utils

%if %{with_gcj}
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif


%description
D-Bus is a message bus system, a simple way for applications to
talk to one another. In addition to interprocess communication,
D-Bus helps coordinate process lifecycle; it makes it simple and
reliable to code a "single instance" application or daemon, and to
launch applications and daemons on demand when their services are
needed.

This is a complete independent implementation of the D-Bus protocol
in Java. It comprises a library to write programs in Java which
access D-Bus, a tool for generating stubs from D-Bus introspection
data and a simple daemon. Being written in Java it works on both
Windows and Linux (and other Unix-like systems).

When using a TCP transport it is entirely Java-based; when using
Unix-sockets it requires a small JNI library to use Unix-Sockets.


%package javadoc
Summary:    Javadocs for %{name}
Group:      Development/Libraries
Requires:   jpackage-utils


%description javadoc
Javadocs for %{name}


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
# no configure file
make %{?_smp_mflags} \
    JARPREFIX=%{_javadir}/%{name} \
    BINPREFIX=%{_bindir} \
    MANPREFIX=%{_mandir}/man1 \
    DOCPREFIX=%{_defaultdocdir}/%{name} \
    JAVADOCPREFIX=%{_javadocdir}/%{name} \
    JAVAUNIXLIBDIR=%{_libdir}/libmatthew-java \
    JAVAUNIXJARDIR=%{_libdir}/libmatthew-java


%check
make check \
    JARPREFIX=%{_javadir}/%{name} \
    BINPREFIX=%{_bindir} \
    MANPREFIX=%{_mandir}/man1 \
    DOCPREFIX=%{_defaultdocdir}/%{name} \
    JAVADOCPREFIX=%{_javadocdir}/%{name} \
    JAVAUNIXLIBDIR=%{_libdir}/libmatthew-java \
    JAVAUNIXJARDIR=%{_libdir}/libmatthew-java


%install
rm -rf $RPM_BUILD_ROOT
make install \
    DESTDIR=$RPM_BUILD_ROOT \
    JARPREFIX=%{_javadir}/%{name} \
    BINPREFIX=%{_bindir} \
    MANPREFIX=%{_mandir}/man1 \
    DOCPREFIX=%{_defaultdocdir}/%{name} \
    JAVADOCPREFIX=%{_javadocdir}/%{name} \
    JAVAUNIXLIBDIR=%{_libdir}/libmatthew-java \
    JAVAUNIXJARDIR=%{_libdir}/libmatthew-java
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif


%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
    then
    %{_bindir}/rebuild-gcj-db
fi
%endif


%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
    then
    %{_bindir}/rebuild-gcj-db
fi
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_javadir}/%{name}
%{_bindir}/CreateInterface
%{_bindir}/DBusCall
%{_bindir}/DBusDaemon
%{_bindir}/DBusViewer
%{_bindir}/ListDBus
%doc %{_defaultdocdir}/%{name}
%doc %{_mandir}/man1/CreateInterface.1.gz
%doc %{_mandir}/man1/DBusCall.1.gz
%doc %{_mandir}/man1/DBusDaemon.1.gz
%doc %{_mandir}/man1/DBusViewer.1.gz
%doc %{_mandir}/man1/ListDBus.1.gz
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Mon Jun 30 2008 Omair Majid <omajid@redhat.com> - 2.5-2
- fixed incoherent name warning from rpmlint
- fixed wrapper script paths
- added check section

* Wed Jun 25 2008 Omair Majid <omajid@redhat.com> - 2.5-1
- Initial build
